/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef NOTIFICATION_EX_EVENT_SENDER_INTERFACE_H_
#define NOTIFICATION_EX_EVENT_SENDER_INTERFACE_H_

#include <bundle_cpp.h>

#include <list>

#include "notification-ex/ievent_info.h"

#ifndef EXPORT_API
#define EXPORT_API __attribute__((visibility("default")))
#endif

namespace notification {

class EXPORT_API IEventSender {
 public:
  virtual ~IEventSender() = default;
  virtual void Notify(const IEventInfo& info,
      std::list<tizen_base::Bundle> serialized,
      std::string dest_appid = "") = 0;
  virtual std::list<tizen_base::Bundle> Request(const IEventInfo &info) = 0;
  virtual int RequestNumber(const IEventInfo &info) = 0;
};

}  // namespace notification

#endif  // NOTIFICATION_EX_EVENT_SENDER_INTERFACE_H_
